SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001045SiT!inbound emailpublic2010-01-19 14:012010-03-27 12:30
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target Version3.60 LTSFixed in Version3.60 LTS 
Summary0001045: Tempincoming table grows and grows
DescriptionThe tempincoming table grows indefinitely. Records should be deleted from this table as soon as they've served their purpose.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002292)
paulh (administrator)
2010-01-19 19:39

Surely the task which removes the email from the holding queue should do this? We have a function delete_holding_queue_update() which does delete from this table though is only called when reopening an incident so we should call this when either deleting from the list or when we open an incident?
User avatar (0002335)
paulh (administrator)
2010-01-31 16:26

Confirming this as a issue, think we should remove the entry when the item is removed from the queue (either incident created or deleted)
User avatar (0002855)
ivan (administrator)
2010-03-24 20:31

Entry was already removed from tempincoming when moved or deleted from the holding queue but not when an incident was added.

Fixed in 3.x branch svn r6335
and Git sit:master a2eed62

- Issue History
Date Modified Username Field Change
2010-01-19 14:01 ivan New Issue
2010-01-19 19:39 paulh Note Added: 0002292
2010-01-31 16:26 paulh Note Added: 0002335
2010-01-31 16:26 paulh Status new => confirmed
2010-03-24 10:56 ivan Target Version => 4.0
2010-03-24 11:01 ivan Target Version 4.0 => 3.60 LTS
2010-03-24 11:01 ivan Status confirmed => assigned
2010-03-24 11:01 ivan Assigned To => ivan
2010-03-24 20:16 ivan Summary Tempincoming needs purging periodically => Tempincoming table grows and grows
2010-03-24 20:16 ivan Description Updated View Revisions
2010-03-24 20:31 ivan Note Added: 0002855
2010-03-24 20:31 ivan Status assigned => resolved
2010-03-24 20:31 ivan Fixed in Version => Current SVN
2010-03-24 20:31 ivan Resolution open => fixed
2010-03-27 11:16 ivan Fixed in Version Current SVN => 3.60 LTS
2010-03-27 12:30 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker